
function [c,s] = hiperbolic(a,b)
if b == 0
   c=1;
   s=0;
   rho=0;
else
  if abs(b) < abs(a)
     rho = b/a;
     c = 1/sqrt(1-abs(rho)^2);
     s = rho*c;
  elseif abs(b)>abs(a)
     rho= conj(a/b);
     c = 1/sqrt(1-abs(rho)^2);
     s = rho*c;
  end
end
